This project has moved and is read-only. For the latest updates, please go here.

SFTP version issues

Dec 10, 2013 at 7:03 AM
When i try to send files to client i get error as below

Message: Unable to connect to Sftp host [ftp.XXX.XX]


Client has some information in his log as below, it seems that they have version 3 and we have version 4 , so how can we resolve this issue.
Client Logs
Dec 06 11:53:54 mod_sftp/0.9.8[23780]: handling connection from SSH2 client '1.85 sshlib: Tunnelier 4.32'
Dec 06 11:53:54 mod_sftp/0.9.8[23780]: + Session server-to-client language:
Dec 06 11:53:56 mod_sftp/0.9.8[23780]: sending userauth success
Dec 06 11:53:56 mod_sftp/0.9.8[23780]: user 'XXX' authenticated via 'password' method
Dec 06 11:53:56 mod_sftp/0.9.8[23780]: client sent SSH_MSG_IGNORE message (0 bytes)
Dec 06 11:53:56 mod_sftp/0.9.8[23780]: 'subsystem' channel request for 'sftp' subsystem
Dec 06 11:53:57 mod_sftp/0.9.8[23780]: client requested SFTP protocol version 4, but we can only support protocol version 3 due to lack of UTF8 support (requires --enable-nls)
Dec 06 11:53:57 mod_sftp/0.9.8[23780]: using SFTP protocol version 3 for this session (channel ID 0)